<?
/*
*******************************
 IP-SYMCON Event Scripting
*******************************
File     : Zeitansage.ips.php
Trigger  : 
Interval : 
Author   : HJH
Project  : Zeitansage
Date     : 25.11.06
*/



// folgende Parameter mssen angepasst werden:
$TTSid = 59309;   // Instance-ID des Text-To-Speech Moduls
$MPid = 35000;    // Instance-ID des MediaPlayer Moduls
$sound = "C:\\WINDOWS\\Media\\ding.wav";  // Pfad zur Sound-Datei, die als Zeitzeichen verwendet werden soll



// warten auf Startsekunde (03, 13, 23, 33, 43, 53)
$sec = 0;
while ($sec%10 <> 3)
{
 // Zeit ab jetzt plus 10 Sekunden ermitteln
 $time = time() + 10;
 // die Integer-Wandlung dient dazu eine fhrende Null zu beseitigen
 $hrs = (integer)date("H", $time);
 $min = (integer)date("i", $time);
 $sec = (integer)date("s", $time);
}
// auf volle 10 Sekunden abrunden
$sec -= $sec % 10;

// "kosmetische Behandlung" fr Ein- und Mehrzahl der Minutenangabe
if ($hrs==1) $hrs = "ein";
$Minuten = "Minuten";
if ($min==1)
{
 $min = "eine";
 $Minuten = "Minute";
}

// Zeitansage ber Text-To-Speech
$text = "Beim nchsten Ton ist es ". $hrs. " Uhr ". $min. " ". $Minuten. " und ". $sec. " Sekunden.";
//echo $text;
TTS_Speak($TTSid, $text);

// Zeitzeichen ausgeben ber MediaPlayer
DXMedia_Open($MPid, $sound);
DXMedia_SetVolume($MPid, 100);
while (date("s")%10 > 0); // warten bis Zeitpunkt erreicht ist
DXMedia_Play($MPid);
?>
